package net.triring.emuduino;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author miwa
 */
public class Arduino extends javax.swing.JFrame {

    javax.swing.ImageIcon ArduinoImageIconOn;
    javax.swing.ImageIcon ArduinoImageIconOff;
    static final int HIGH   = 0x1;
    static final int LOW    = 0x0;

    int State = LOW;
    
    static public String getVersion() {
        java.util.ResourceBundle bundle = java.util.ResourceBundle.getBundle("resources/Arduino"); // NOI18N
        return bundle.getString("Version");
    }

    public int isState() {
        return State;
    }

    public void setState(int State) {
        this.State = State;
        if (HIGH == this.State) {
            imageLabel.setIcon(ArduinoImageIconOn); // NOI18N        
            stateLabel.setText("On");
            System.out.print("true\n");
                   
        } else {
            imageLabel.setIcon(ArduinoImageIconOff); // NOI18N        
            stateLabel.setText("Off");
            System.out.print("false\n");
        }
    }
    int No = 0;
    String Name = "none";

    /**
     * Creates new form Led
     */
    public Arduino() {
        ArduinoImageIconOn  = new javax.swing.ImageIcon(getClass().getResource("/resources/images/Arduino/controller_arduino_diecimilaOn.png"));
        ArduinoImageIconOff = new javax.swing.ImageIcon(getClass().getResource("/resources/images/Arduino/controller_arduino_diecimilaOff.png"));
        initComponents();
        imageLabel.setIcon(ArduinoImageIconOff); // NOI18N        
        stateLabel.setText("Off");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(No + ":" + Name));
        System.out.print(No + ":" + Name);
        this.pack();
        this.setVisible(true);
    }

    public Arduino(int no, String name, int x, int y) {
        this.No = no;
        this.Name = name;
        ArduinoImageIconOn  = new javax.swing.ImageIcon(getClass().getResource("/resources/images/Arduino/controller_arduino_diecimilaOn.png"));
        ArduinoImageIconOff = new javax.swing.ImageIcon(getClass().getResource("/resources/images/Arduino/controller_arduino_diecimilaOff.png"));
        initComponents();
        imageLabel.setIcon(ArduinoImageIconOff); // NOI18N        
        stateLabel.setText("Off");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(No + ":" + Name));
        System.out.print(No + ":" + Name);
        this.pack();
        this.setLocation(x, y);
        this.setVisible(true);
    }

    public Arduino(int no, String name, java.awt.Image arduinoImageOn, java.awt.Image arduinoImageOff, int x, int y) {
        this.No = no;
        this.Name = name;
        ArduinoImageIconOn  = new javax.swing.ImageIcon(arduinoImageOn );
        ArduinoImageIconOff = new javax.swing.ImageIcon(arduinoImageOff);
        initComponents();
        imageLabel.setIcon(ArduinoImageIconOff); // NOI18N        
        stateLabel.setText("Off");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(No + ":" + Name));
        this.pack();
        this.setLocation(x, y);
        this.setVisible(true);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        basePanel = new javax.swing.JPanel();
        imageLabel = new javax.swing.JLabel();
        stateLabel = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        basePanel.setLayout(new java.awt.BorderLayout());

        imageLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
//      imageLabel.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/Arduino/controller_arduino_diecimilaOff.png"))); // NOI18N
        basePanel.add(imageLabel, java.awt.BorderLayout.CENTER);

        stateLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        stateLabel.setText("Off");
        basePanel.add(stateLabel, java.awt.BorderLayout.SOUTH);

        getContentPane().add(basePanel, java.awt.BorderLayout.PAGE_START);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Arduino.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Arduino.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Arduino.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Arduino.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            Arduino arduino = new Arduino();
            //  arduino.setVisible(true);
            //  arduino.pack();
            public void run() {
                while (true) {
                    arduino.setState(HIGH);
                    try {
                        Thread.sleep(1000);  // 1秒間の停止
                    } catch (InterruptedException e) {
                    }
                    arduino.setState(HIGH);
                    try {
                        Thread.sleep(1000);  // 1秒間の停止
                    } catch (InterruptedException e) {
                    }
                }

            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JPanel basePanel;
    private javax.swing.JLabel imageLabel;
    private javax.swing.JLabel stateLabel;
    // End of variables declaration//GEN-END:variables
}
