package net.triring.emuduino;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author miwa
 */
public class Duke extends javax.swing.JFrame {
    public static final int OFF    = 0;
    public static final int RED    = 1;
    public static final int YELLOW = 2;
    public static final int GREEN  = 3;
    public static final int BLUE   = 4;
    
    int PinNo = 0;
    String Name = "Duke";
    int Color = 0;

    public int getPinNo() {
        return PinNo;
    }

    public void setPinNo(int PinNo) {
        this.PinNo = PinNo;
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(this.PinNo + ":Duke"));        
    }

    public int getColor() {
        return Color;
    }

    public void setColor(int Color) {
        this.Color = Color;
        switch (Color) {
            case OFF    : imageLabel.setIcon(OffImageIcon   ); stateLabel.setText("Off");    break;
            case RED    : imageLabel.setIcon(RedImageIcon   ); stateLabel.setText("Red");    break;
            case YELLOW : imageLabel.setIcon(YellowImageIcon); stateLabel.setText("Yellow"); break;
            case GREEN  : imageLabel.setIcon(GreenImageIcon ); stateLabel.setText("Green");  break;
            case BLUE   : imageLabel.setIcon(BlueImageIcon  ); stateLabel.setText("Blue");   break;
        }
    }
    
    javax.swing.ImageIcon OffImageIcon;
    javax.swing.ImageIcon RedImageIcon;
    javax.swing.ImageIcon YellowImageIcon;
    javax.swing.ImageIcon GreenImageIcon;
    javax.swing.ImageIcon BlueImageIcon;

    /**
     * Creates new form Duke
     */
    public Duke() {
        OffImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/duke/duke_white.png"));
        RedImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/duke/duke_red.png"));
        YellowImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/duke/duke_yellow.png"));
        GreenImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/duke/duke_green.png"));
        BlueImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/duke/duke_blue.png"));
        initComponents();
        imageLabel.setIcon(OffImageIcon); // NOI18N        
        stateLabel.setText("Off");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(PinNo + ":" + Name));
        setVisible(true);
        pack();
    }

    public Duke(int no, String name, int x, int y) {
        this.PinNo   = no;
        this.Name    = name;
        OffImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/duke/duke_white.png"));
        RedImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/duke/duke_red.png"));
        YellowImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/duke/duke_yellow.png"));
        GreenImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/duke/duke_green.png"));
        BlueImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/duke/duke_blue.png"));
        initComponents();
        imageLabel.setIcon(OffImageIcon); // NOI18N        
        stateLabel.setText("Off");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(PinNo + ":" + Name));
        this.setVisible(true);
        this.setLocation(x, y);
        this.pack();
    }
    public Duke(int no, String name,
                java.awt.Image offImage,
                java.awt.Image redImage,
                java.awt.Image yellowImage,
                java.awt.Image greenImage,
                java.awt.Image blueImage,
                int x, int y) {
        this.PinNo   = no;
        this.Name = name;
        OffImageIcon    = new javax.swing.ImageIcon(offImage);
        RedImageIcon    = new javax.swing.ImageIcon(redImage);
        YellowImageIcon = new javax.swing.ImageIcon(yellowImage);
        GreenImageIcon  = new javax.swing.ImageIcon(greenImage);
        BlueImageIcon   = new javax.swing.ImageIcon(blueImage);
        initComponents();
        imageLabel.setIcon(OffImageIcon); // NOI18N        
        stateLabel.setText("Off");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(PinNo + ":" +Name));
        this.setVisible(true);
        this.setLocation(x, y);
        this.pack();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        basePanel = new javax.swing.JPanel();
        imageLabel = new javax.swing.JLabel();
        stateLabel = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);

        basePanel.setLayout(new java.awt.BorderLayout());

        imageLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
//      imageLabel.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/duke/duke_white.png"))); // NOI18N
        basePanel.add(imageLabel, java.awt.BorderLayout.CENTER);

        stateLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        stateLabel.setText("Off");
        basePanel.add(stateLabel, java.awt.BorderLayout.SOUTH);

        getContentPane().add(basePanel, java.awt.BorderLayout.PAGE_START);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Duke.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Duke.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Duke.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Duke.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            Duke white;
             Duke red, yellow, green, blue;
             public void run() {
                white = new Duke(); 
                  red = new Duke();
               yellow = new Duke();
                green = new Duke();
                 blue = new Duke();
                white.setLocation(  0,   0);
                  red.setLocation(200,   0);
               yellow.setLocation(400,   0);
                green.setLocation(600,   0);
                 blue.setLocation(800,   0);
                white.setColor(OFF);
                  red.setColor(RED);
               yellow.setColor(YELLOW);
                green.setColor(GREEN);
                 blue.setColor(BLUE);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JPanel basePanel;
    private javax.swing.JLabel imageLabel;
    private javax.swing.JLabel stateLabel;
    // End of variables declaration//GEN-END:variables
}
