/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * DataReproducer.java
 *
 * Created on 2011/01/19, 10:37:12
 */
package net.triring.emuduino;
/**
 *
 * @author miwa
 */
public class DataReproducer extends javax.swing.JFrame {
    java.util.Calendar calendar;
    javax.swing.JFileChooser openDialog;             /* Openダイアログ */

    /** Creates new form DataReproducer */
    boolean     runStatus = false;   // 実行フラグ

    int  DataSize = 0;
    int[][] Data = new int[6][];
    boolean playFlag = false;
    boolean dataFlag = false;
    int Count = 0; // run()ループを何度回ったかをチェック
    int Index = 0; 

    // 現在は、ダミー関数
    // １行6桁のデータを用意し、指定されたpin番号のデータを返す。
    // 該当するデータのない場合は、0を返す。
    public int getValue(int pin) {
        int result = 0;
        if (false == playFlag) return result;
        if (false == dataFlag) return result;
        switch (pin) {
            case  0 : result =  Data[0][Index]; break;
            case  1 : result =  Data[1][Index]; break;
            case  2 : result =  Data[2][Index]; break;
            case  3 : result =  Data[3][Index]; break;
            case  4 : result =  Data[4][Index]; break;
            case  5 : result =  Data[5][Index]; break;      
        }
        Index++;
        if (Index > DataSize) Index = 0;
        return result;
    }

    public DataReproducer() {
        calendar = java.util.Calendar.getInstance();
        calendar.setTime(new java.util.Date());
        initComponents();
        // この設定をしないと、文字の縦横がそろわず見苦しい。
        java.awt.Font font     = dataTextArea.getFont();
        int fontsize = font.getSize();
        dataTextArea.setFont(new java.awt.Font("Monospaced", java.awt.Font.PLAIN, fontsize ));       
        this.pack();
        this.setVisible(true);
    }
    
    public DataReproducer(String title, int x, int y) {
        setTitle(title);
        calendar = java.util.Calendar.getInstance();
        calendar.setTime(new java.util.Date());
        initComponents();
        // この設定をしないと、文字の縦横がそろわず見苦しい。
        java.awt.Font font     = dataTextArea.getFont();
        int fontsize = font.getSize();
        dataTextArea.setFont(new java.awt.Font("Monospaced", java.awt.Font.PLAIN, fontsize ));       
        this.pack();
        this.setVisible(true);
        this.setLocation(x, y);
    }


    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        basePanel = new javax.swing.JPanel();
        dataScrollPane = new javax.swing.JScrollPane();
        dataTextArea = new javax.swing.JTextArea();
        controlPanel = new javax.swing.JPanel();
        OpenButton = new javax.swing.JButton();
        PlayStopButton = new javax.swing.JButton();
        ClearButton = new javax.swing.JButton();
        menuBar = new javax.swing.JMenuBar();
        fileMenu = new javax.swing.JMenu();
        openMenuItem = new javax.swing.JMenuItem();
        exitMenuItem = new javax.swing.JMenuItem();
        helpMenu = new javax.swing.JMenu();
        contentsMenuItem = new javax.swing.JMenuItem();
        aboutMenuItem = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Data Reproducer Int ");

        basePanel.setLayout(new java.awt.BorderLayout());

        dataTextArea.setEditable(false);
        dataTextArea.setColumns(60);
        dataTextArea.setRows(16);
        dataScrollPane.setViewportView(dataTextArea);

        basePanel.add(dataScrollPane, java.awt.BorderLayout.LINE_END);

        getContentPane().add(basePanel, java.awt.BorderLayout.CENTER);

        OpenButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/DataReproducer/Open24.png"))); // NOI18N
        OpenButton.setMnemonic('O');
        java.util.ResourceBundle bundle = java.util.ResourceBundle.getBundle("resources/DataReproducer"); // NOI18N
        OpenButton.setText(bundle.getString("openLabel")); // NOI18N
        OpenButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                OpenButtonActionPerformed(evt);
            }
        });
        controlPanel.add(OpenButton);

        PlayStopButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/DataReproducer/Play24.png"))); // NOI18N
        PlayStopButton.setMnemonic('P');
        PlayStopButton.setText(bundle.getString("playButton")); // NOI18N
        PlayStopButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                PlayStopButtonActionPerformed(evt);
            }
        });
        controlPanel.add(PlayStopButton);

        ClearButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/DataReproducer/Delete24.png"))); // NOI18N
        ClearButton.setMnemonic('C');
        ClearButton.setText(bundle.getString("clearButtonLabel")); // NOI18N
        ClearButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ClearButtonActionPerformed(evt);
            }
        });
        controlPanel.add(ClearButton);

        getContentPane().add(controlPanel, java.awt.BorderLayout.SOUTH);

        fileMenu.setMnemonic('F');
        fileMenu.setText(bundle.getString("fileLabel")); // NOI18N

        openMenuItem.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/DataReproducer/Open24.png"))); // NOI18N
        openMenuItem.setMnemonic('O');
        openMenuItem.setText(bundle.getString("openLabel")); // NOI18N
        openMenuItem.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                openMenuItemActionPerformed(evt);
            }
        });
        fileMenu.add(openMenuItem);

        exitMenuItem.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/DataReproducer/Exit24.png"))); // NOI18N
        exitMenuItem.setMnemonic('X');
        exitMenuItem.setText(bundle.getString("exitLabel")); // NOI18N
        exitMenuItem.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                exitMenuItemActionPerformed(evt);
            }
        });
        fileMenu.add(exitMenuItem);

        menuBar.add(fileMenu);

        helpMenu.setMnemonic('H');
        helpMenu.setText(bundle.getString("helpLabel")); // NOI18N

        contentsMenuItem.setMnemonic('C');
        contentsMenuItem.setText(bundle.getString("contentsLabel")); // NOI18N
        helpMenu.add(contentsMenuItem);

        aboutMenuItem.setMnemonic('A');
        aboutMenuItem.setText(bundle.getString("aboutLabel")); // NOI18N
        helpMenu.add(aboutMenuItem);

        menuBar.add(helpMenu);

        setJMenuBar(menuBar);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void exitMenuItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_exitMenuItemActionPerformed
        System.exit(0);
    }//GEN-LAST:event_exitMenuItemActionPerformed
    private void eventOpen() {
        openDialog = new javax.swing.JFileChooser("");
        openDialog.setFileFilter(new ExtendedFileFilter("csv", "csv data"));
        openDialog.setFileSelectionMode(javax.swing.JFileChooser.FILES_AND_DIRECTORIES);

  // mode - 表示されるファイルの種類
  // JFileChooser.FILES_ONLY
  // JFileChooser.DIRECTORIES_ONLY
  // JFileChooser.FILES_AND_DIRECTORIES

        int returnVal =  openDialog.showOpenDialog(this);

        // エラーが発生した場合、またはダイアログが取り消された場合は、
        // 何もしないで戻る。
        if (returnVal != javax.swing.JFileChooser.APPROVE_OPTION) return;

        /**
         * ここから下の処理は，ダイアログで何らかのボタンが
         * 押された場合にはじめて行なわれる
         */
        /**  File 名の獲得 */
        java.io.File ssf = openDialog.getSelectedFile(); //   選択されたファイルを返す。
        String fn = ssf.getName();
        if (fn == null) {
           return;
        }
        //  File 名末尾にアスタリスクが付加されるバグが発生
        // これを回避するための処理ルーチン
        java.util.StringTokenizer st = new java.util.StringTokenizer(fn,".");
        String FileName    = st.nextToken();
        String ExtName     = st.nextToken();
        
        /** 1999/05/13
        getFile();だけだと、ディレクトリを移動すると、
        ファイル名不明となる場合がある。
        そこで、getDirectory();を追加し、
         完全なディレクトリ名+ファイル名を再構成する。
         */
         String FileSeparator = System.getProperty("file.separator");
         String DataFileName = ssf.getParent() + FileSeparator + FileName + "." + ExtName;
         System.out.println(DataFileName);
         int data_size = read_TextData(DataFileName);
         if (data_size > 0) {
             setDataTable(DataFileName, data_size);
         }
    }
    private void openMenuItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_openMenuItemActionPerformed
        eventOpen();
    }//GEN-LAST:event_openMenuItemActionPerformed

    public int load_Data(String filename) {
        int data_size = read_TextData(filename);
        if (data_size > 0) {
            setDataTable(filename, data_size);
        }
        return data_size;
    }

    public int read_TextData(String filename) {
        int count = 0;
        java.io.File                 file;
        java.io.FileInputStream      fis;
        java.io.InputStreamReader    isr;
        java.io.BufferedReader       fin;
        java.lang.StringBuffer sb = new java.lang.StringBuffer();
        try {
             /**  File 名に該当する File を開く    */
             /**  単純にFileStreamを使うよりも、   */
             /**  Bufferedのクラスを介在させる方が */
             /**  入出力が早くなる                 */
             file = new java.io.File(filename);
             System.out.println(file.getAbsoluteFile());
             fis  = new java.io.FileInputStream(file);
             isr  = new java.io.InputStreamReader(fis);
             fin  = new java.io.BufferedReader(isr);
             String lb;
             count = 0;
             while ((lb = fin.readLine()) != null) {  /* データの読み込み */
                 dataTextArea.append(lb + "\n");
                 count++;
             }
             System.out.println("count = " + count);

             // 入力ストリームを閉じる
             try {
                 fin.close();
                 isr.close();
                 fis.close();
             } catch (java.lang.Exception e) {
                 System.out.println(e);
             }
             fin  = null;
             isr  = null;
             fis  = null;
        } catch (java.io.IOException ie) {
             System.out.println(ie);
             System.out.println("\""+ filename + "\"" + " 読み込むためのファイルをオープンできません.");
        } catch (java.lang.SecurityException  se) {
             System.out.println(se);
             System.out.println("\""+ filename + "\"" + " セキュリティ上の問題があるので、読み込むファイルをオープンできません.");
        }
        java.awt.Toolkit.getDefaultToolkit().beep();
        return count;
    }


    public int setDataTable(String filename, int size) {
        int count = 0;
        Data[0] = new int[size];
        Data[1] = new int[size];
        Data[2] = new int[size];
        Data[3] = new int[size];
        Data[4] = new int[size];
        Data[5] = new int[size];
        

        java.io.FileInputStream      fis;
        java.io.InputStreamReader    isr;
        java.io.BufferedReader       fin;
        java.lang.StringBuffer sb = new java.lang.StringBuffer();

        try {
             /**  File 名に該当する File を開く    */
             /**  単純にFileStreamを使うよりも、   */
             /**  Bufferedのクラスを介在させる方が */
             /**  入出力が早くなる                 */
             fis  = new java.io.FileInputStream(filename);
             isr  = new java.io.InputStreamReader(fis);
             fin  = new java.io.BufferedReader(isr);

             String lb;
             count = 0;
             while ((lb = fin.readLine()) != null) {  /* データの読み込み */
                 if ('#' == lb.charAt(0)) continue; // コメントの場合は、飛ばして次へ
                 String line[] = lb.split(",", -1);
                 int n = line.length;
                 if (line.length == 0) continue; // 空行の場合は、読み飛ばす。
                 if (line.length > 6) n = 6;
                 for (int i = 0; i < n; i++) {
                     try {
                         Data[i][count] = Integer.parseInt(line[i].trim());
                         System.out.print(Data[i][count] + ",");
                     } catch (NumberFormatException e) { // String が構文解析可能な int 値を含まない場合
                         System.out.println (e.toString());
                         Data[i][count] = 0;
                     }
                 }
                 System.out.print("\n");
                 count++;
                 if (count > size) break;

             }
        } catch (java.io.IOException ie) {
             System.out.println(ie);
             System.out.println("\""+ filename + "\"" + " 読み込むためのファイルをオープンできません.");
        } catch (java.lang.SecurityException  se) {
             System.out.println(se);
             System.out.println("\""+ filename + "\"" + " セキュリティ上の問題があるので、読み込むファイルをオープンできません.");
        }
        java.awt.Toolkit.getDefaultToolkit().beep();
        DataSize =  count;
        dataFlag = true;  // データ読み込み完了
        System.out.print("DataSize="+DataSize);
        return count;
    }


    private void ClearButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ClearButtonActionPerformed
        dataTextArea.setText("");
        DataSize = 0;
        playFlag = false;
        dataFlag = false;
    }//GEN-LAST:event_ClearButtonActionPerformed

    private void PlayStopButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_PlayStopButtonActionPerformed
        java.util.ResourceBundle bundle = java.util.ResourceBundle.getBundle("resources/DataReproducer"); // NOI18N
        if (playFlag  == true) {
            // 終了時の処理
            // calendar.setTime(new java.util.Date());
            // EndTime = calendar.getTimeInMillis(); // 測定終了時刻 calenderより取得して、ms単位で保存
            // save logdata

            PlayStopButton.setText(bundle.getString("playLabel"));
            PlayStopButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/DataReproducer/Play24.png"))); // NOI18N
            playFlag = false;
        } else {
            if (dataFlag == true) {
                Count = 0; // run()ループを何度回ったかをチェック
                PlayStopButton.setText(bundle.getString("stopLabel"));
                PlayStopButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/DataReproducer/Stop24.png"))); // NOI18N
                playFlag = true;
            }
        }
}//GEN-LAST:event_PlayStopButtonActionPerformed

    private void OpenButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_OpenButtonActionPerformed
        eventOpen();
    }//GEN-LAST:event_OpenButtonActionPerformed


    public void addLogData(int value) {
        long mstime = System.currentTimeMillis();
        calendar.setTimeInMillis(mstime);
        String log = String.format("%s, %10d, %15d\n",
                CalendarToString(calendar), value, mstime);
        System.out.print(log);
        dataTextArea.append(log);
    }

    public String CalendarToString(java.util.Calendar calendar) {
       int year  = 0; // the year.
       int month = 0; // the month   between 0-11
       int date  = 0; // the day of the month between 1-31.
       int hrs   = 0; // the hours   between 0-23.
       int min   = 0; // the minutes between 0-59.
       int sec   = 0; // the seconds between 0-59.
       int msec  = 0; // the milliseconds between 0-9999.

       java.lang.StringBuffer sb = new java.lang.StringBuffer();

       year  = calendar.get(java.util.Calendar.YEAR);
       month = calendar.get(java.util.Calendar.MONTH) + 1;
       date  = calendar.get(java.util.Calendar.DATE);
       hrs   = calendar.get(java.util.Calendar.HOUR_OF_DAY);
       min   = calendar.get(java.util.Calendar.MINUTE);
       sec   = calendar.get(java.util.Calendar.SECOND);
       msec  = calendar.get(java.util.Calendar.MILLISECOND);

       // 1970-01-01,00:00:00.000]
                                     sb.append(year);
                                     sb.append("-");
	      if (0 == (month / 10)) sb.append("0");
	                             sb.append(month);
	                             sb.append("-");
	      if (0 == (date  / 10)) sb.append("0");
	                             sb.append(date);
	                             sb.append(",");
              if (0 == (hrs   / 10)) sb.append("0");
	                             sb.append(hrs);
                                     sb.append(":");
              if (0 == (min   / 10)) sb.append("0");
	                             sb.append(min);
                                     sb.append(":");
              if (0 == (sec   / 10)) sb.append("0");
	                             sb.append(sec);
                                     sb.append(".");
                                  // sb.append("_");
              if (0 == (msec   / 100)) {
                                       sb.append("0");
                 if (0 == (msec / 10)) sb.append("0");
              }
	                             sb.append(msec);
                                     System.out.println(sb.toString());
      return sb.toString();
    }

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new DataReproducer().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton ClearButton;
    private javax.swing.JButton OpenButton;
    private javax.swing.JButton PlayStopButton;
    private javax.swing.JMenuItem aboutMenuItem;
    private javax.swing.JPanel basePanel;
    private javax.swing.JMenuItem contentsMenuItem;
    private javax.swing.JPanel controlPanel;
    private javax.swing.JScrollPane dataScrollPane;
    private javax.swing.JTextArea dataTextArea;
    private javax.swing.JMenuItem exitMenuItem;
    private javax.swing.JMenu fileMenu;
    private javax.swing.JMenu helpMenu;
    private javax.swing.JMenuBar menuBar;
    private javax.swing.JMenuItem openMenuItem;
    // End of variables declaration//GEN-END:variables

}
