/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package net.triring.emuduino;

/**
 *
 * @author miwa
 */
public class DigitalConfigurationPanel extends ConfigurationPanel {
    /**
     * Creates new form ConfigurationPanel
     */
    public DigitalConfigurationPanel(int PinNo, String PinName, String TypeData, int coordX, int coordY) {
          super(PinNo, PinName, TypeData, coordX, coordY);    
    }

    // Constructor
    public String getConstructor() {
        String[] str = getTypeComboBox_SelectedItem().split(":");
        String deviceName = str[0];
        String x = getSpinnerValueX();
        String y = getSpinnerValueY();
        String result = null;
        if (deviceName.equals("Led") == true) {
            result = String.format("%24s = new %s(%d , \"%s\", %4s, %4s);",  
                    deviceName.toLowerCase() + PinNo,  
                    deviceName, PinNo,
                    str[1].toLowerCase(), x, y);
         } else if (deviceName.equals("Switch") == true) {
           result = String.format("%24s = new %s(%d , \"%s\", %4s, %4s);",  
                    deviceName.toLowerCase() + PinNo,  
                    deviceName, PinNo,                    
                    str[1] + PinNo, x, y);
        } else {
           result = String.format("%24s = new %s(%d , \"%s\", %4s, %4s);",  
                    deviceName.toLowerCase() + PinNo,  
                    deviceName, PinNo,
                    deviceName.toLowerCase() + PinNo, x, y);
        }
        return result;
    }
    
    public String getDeviceName() {
        String[] str = getTypeComboBox_SelectedItem().split(":");
        String deviceName = str[0];
        return deviceName;
    }

    public String getDeviceAttribute1() {
        String[] str = getTypeComboBox_SelectedItem().split(":");
        String deviceName = str[1];
        return deviceName;
    }

    public String getDeviceAttribute2() {
        String[] str = getTypeComboBox_SelectedItem().split(":");
        String deviceName = str[2];
        return deviceName;
    }

    // read function
    public String getDigitalReadFunction() {
        String[] str = getTypeComboBox_SelectedItem().split(":");
        String deviceName = str[0];
        if (deviceName.equals("Switch")) {
            return new String("case  " + PinNo + " : value = " + deviceName.toLowerCase() + PinNo + ".getState(); break;");
        } else {
            return "";
        }
    }

    // write function
    public String getDigitalWriteFunction() {
        String[] str = getTypeComboBox_SelectedItem().split(":");
        String deviceName = str[0];
        if (deviceName.equals("Arduino")) {
            return new String("case " + PinNo + " : " + deviceName.toLowerCase() + PinNo + ".setState(value); break;");
        } else if (deviceName.equals("Led")) {
            return new String("case " + PinNo + " : " + deviceName.toLowerCase() + PinNo + ".setState(value); break;");
        } else {
            return "";
        }
    }
}
