/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package net.triring.emuduino;

/**
 *
 * @author miwa
 */
public class Droid extends javax.swing.JFrame {
    public static final int OFF    = 0;
    public static final int RED    = 1;
    public static final int YELLOW = 2;
    public static final int GREEN  = 3;
    public static final int BLUE   = 4;
    
    int PinNo = 0;
    String Name = "Droid";
    int Color = 0;

    public int getPinNo() {
        return PinNo;
    }

    public void setPinNo(int PinNo) {
        this.PinNo = PinNo;
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(this.PinNo + ":Duke"));        
    }

    public int getColor() {
        return Color;
    }

    public void setColor(int Color) {
        this.Color = Color;
        switch (Color) {
            case OFF    : imageLabel.setIcon(OffImageIcon   ); stateLabel.setText("Off");    break;
            case RED    : imageLabel.setIcon(RedImageIcon   ); stateLabel.setText("Red");    break;
            case GREEN  : imageLabel.setIcon(GreenImageIcon ); stateLabel.setText("Green");  break;
        }
    }
    javax.swing.ImageIcon OffImageIcon;
    javax.swing.ImageIcon RedImageIcon;
    javax.swing.ImageIcon GreenImageIcon;

    /**
     * Creates new form Droid
     */
    public Droid() {
        OffImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/droid/droid_off.png"));
        RedImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/droid/droid_red.png"));
        GreenImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/droid/droid_green.png"));
        initComponents();
        imageLabel.setIcon(OffImageIcon); // NOI18N        
        stateLabel.setText("Off");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(PinNo + ":" + Name));
        this.setVisible(true);
        this.pack();
    }

    public Droid(int no, String name, int x, int y) {
        this.PinNo = no;
        this.Name  = name;
        OffImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/droid/droid_off.png"));
        RedImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/droid/droid_red.png"));
        GreenImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/droid/droid_green.png"));
        initComponents();
        imageLabel.setIcon(OffImageIcon); // NOI18N        
        stateLabel.setText("Off");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(PinNo + ":" + Name));
        this.setVisible(true);
        this.setLocation(x, y);
        this.pack();
    }
    
    public Droid(int no, String name,
                java.awt.Image offImage,
                java.awt.Image redImage,
                java.awt.Image greenImage,
                int x, int y) {
        this.PinNo = no;
        this.Name  = name;
        OffImageIcon    = new javax.swing.ImageIcon(offImage);
        RedImageIcon    = new javax.swing.ImageIcon(redImage);
        GreenImageIcon  = new javax.swing.ImageIcon(greenImage);
        initComponents();
        imageLabel.setIcon(OffImageIcon); // NOI18N        
        stateLabel.setText("Off");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(PinNo + ":" +Name));
        this.setVisible(true);
        this.setLocation(x, y);
        this.pack();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        basePanel = new javax.swing.JPanel();
        imageLabel = new javax.swing.JLabel();
        stateLabel = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        basePanel.setLayout(new java.awt.BorderLayout());

        imageLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        imageLabel.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/droid/droid_off.png"))); // NOI18N
        basePanel.add(imageLabel, java.awt.BorderLayout.CENTER);

        stateLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        stateLabel.setText("Off");
        basePanel.add(stateLabel, java.awt.BorderLayout.SOUTH);

        getContentPane().add(basePanel, java.awt.BorderLayout.CENTER);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Droid.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Droid.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Droid.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Droid.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Droid().setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JPanel basePanel;
    private javax.swing.JLabel imageLabel;
    private javax.swing.JLabel stateLabel;
    // End of variables declaration//GEN-END:variables
}
