package net.triring.emuduino;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 *
 * @author miwa
 */
 
import java.lang.StringBuffer;
import java.awt.Font;
public class Lcd extends javax.swing.JFrame {
    String Title = "LCD SC";
    private static java.lang.StringBuffer DataBuffer;
    String[] line = new String[4];

    int Letters = 16;
    int Lines   =  2;
  /**
   * Creates new form SerialConsole
   */
    public Lcd(int no, int x, int y, int size) {
        initComponents();
        this.setTitle(Title + size + "-" + no);
        switch (size) {
            case  1602 : Letters = 16; Lines    =  2; break; 
            case  2004 : Letters = 20; Lines    =  4; break;
        }
        java.awt.Font font     = this.getFont();
        int fontsize = font.getSize() * 2;
        java.awt.Font new_font = new java.awt.Font(java.awt.Font.MONOSPACED, java.awt.Font.BOLD, fontsize);  
        // 等幅のフォントを設定　この設定がないと、文字の縦横がそろわず見苦しい。
        lcdTextArea.setFont(new_font);
        java.awt.FontMetrics fm = lcdTextArea.getFontMetrics(new_font);
        int fontH = fm.getHeight();
        int fontW = fm.stringWidth("W");
        this.setPreferredSize(new java.awt.Dimension(fontW * Letters + 24 * 4, fontH * Lines + 16 * 4));
        this.pack();
        this.setVisible(true);
        this.setLocation(x, y);
    }

    public Lcd(int x, int y, int size) {
        initComponents();
        this.setTitle(Title + size);
        switch (size) {
            case  1602 : Letters = 16; Lines    =  2; break; 
            case  2004 : Letters = 20; Lines    =  4; break;
        }
        java.awt.Font font     = this.getFont();
        int fontsize = font.getSize() * 2;
        java.awt.Font new_font = new java.awt.Font(java.awt.Font.MONOSPACED, java.awt.Font.BOLD, fontsize);  
        // 等幅のフォントを設定　この設定がないと、文字の縦横がそろわず見苦しい。
        lcdTextArea.setFont(new_font);
        java.awt.FontMetrics fm = lcdTextArea.getFontMetrics(new_font);
        int fontH = fm.getHeight();
        int fontW = fm.stringWidth("W");
        this.setPreferredSize(new java.awt.Dimension(fontW * Letters + 16 * 3, fontH * Lines + 16 * 4));
        this.pack();
        this.setVisible(true);
        this.setLocation(x, y);
    }

    // 表示可能な液晶の1行の文字数とその行数を指定して，初期化します。
    // 現在、16文字x2行 或いは、20文字x4行 のLEDをサポートしています。
    // ただし，これは，互換性のために用意した関数で，実際には何もしません。
    public void begin(int column, int row) {
    }

    // 液晶の表示を消去します。
    public void clear() {
        lcdTextArea.setText("");
    }

    // 液晶に英数字を表示します。
    // nで、何行目に書き込むかを指定し,表示桁数を超えた文字は切り捨てられます。
    public int print(int n, String data) {
        int len = data.length();
        String printdata = data;
        if (len > Letters) {
            printdata = data.substring(0, Letters);
            len = printdata.length();
        }
        switch (n) {
            case 0: line[0] = printdata; break;
            case 1: line[1] = printdata; break;
            case 2: line[2] = printdata; break;
            case 3: line[3] = printdata; break;
        }
        lcdTextArea.setText("");
        switch (Lines) {
            case  2 : lcdTextArea.setText(line[0] + "\n" + line[1]);                                   break;
            case  4 : lcdTextArea.setText(line[0] + "\n" + line[1] + "\n" + line[2] + "\n" + line[3]); break;
        }
        return len;
    }

  /**
   * This method is called from within the constructor to initialize the form.
   * WARNING: Do NOT modify this code. The content of this method is always
   * regenerated by the Form Editor.
   */
  @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        basePanel = new javax.swing.JPanel();
        outputPanel = new javax.swing.JPanel();
        lcdScrollPane = new javax.swing.JScrollPane();
        lcdTextArea = new javax.swing.JTextArea();
        nPanel = new javax.swing.JPanel();
        sPanel = new javax.swing.JPanel();
        ePanel = new javax.swing.JPanel();
        wPanel = new javax.swing.JPanel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("LCD SC1602");
        setPreferredSize(new java.awt.Dimension(320, 144));

        basePanel.setLayout(new java.awt.BorderLayout());

        outputPanel.setBackground(java.awt.Color.darkGray);
        outputPanel.setLayout(new java.awt.GridLayout(1, 1));

        lcdScrollPane.setBorder(null);
        lcdScrollPane.setHorizontalScrollBarPolicy(javax.swing.ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
        lcdScrollPane.setVerticalScrollBarPolicy(javax.swing.ScrollPaneConstants.VERTICAL_SCROLLBAR_NEVER);
        lcdScrollPane.setAlignmentX(0.0F);
        lcdScrollPane.setAlignmentY(0.0F);
        lcdScrollPane.setRequestFocusEnabled(false);

        lcdTextArea.setEditable(false);
        lcdTextArea.setBackground(new java.awt.Color(204, 255, 153));
        lcdTextArea.setColumns(16);
        lcdTextArea.setFont(lcdTextArea.getFont().deriveFont(lcdTextArea.getFont().getStyle() | java.awt.Font.BOLD, lcdTextArea.getFont().getSize()+12));
        lcdTextArea.setRows(2);
        lcdTextArea.setText("Hello emuduino !\n     by (c) triring");
        lcdTextArea.setAlignmentX(0.0F);
        lcdTextArea.setAlignmentY(0.0F);
        lcdTextArea.setBorder(null);
        lcdScrollPane.setViewportView(lcdTextArea);

        outputPanel.add(lcdScrollPane);

        basePanel.add(outputPanel, java.awt.BorderLayout.CENTER);

        nPanel.setBackground(new java.awt.Color(0, 0, 0));
        nPanel.setMinimumSize(new java.awt.Dimension(160, 16));
        nPanel.setName(""); // NOI18N
        nPanel.setPreferredSize(new java.awt.Dimension(160, 16));
        nPanel.setLayout(new java.awt.BorderLayout());
        basePanel.add(nPanel, java.awt.BorderLayout.NORTH);

        sPanel.setBackground(new java.awt.Color(0, 0, 0));
        sPanel.setMinimumSize(new java.awt.Dimension(160, 16));
        sPanel.setName(""); // NOI18N
        sPanel.setPreferredSize(new java.awt.Dimension(160, 16));
        sPanel.setLayout(new java.awt.BorderLayout());
        basePanel.add(sPanel, java.awt.BorderLayout.SOUTH);

        ePanel.setBackground(new java.awt.Color(0, 0, 0));
        ePanel.setMinimumSize(new java.awt.Dimension(16, 120));
        ePanel.setPreferredSize(new java.awt.Dimension(16, 120));
        ePanel.setLayout(new java.awt.BorderLayout());
        basePanel.add(ePanel, java.awt.BorderLayout.EAST);

        wPanel.setBackground(new java.awt.Color(0, 0, 0));
        wPanel.setMinimumSize(new java.awt.Dimension(16, 120));
        wPanel.setPreferredSize(new java.awt.Dimension(16, 120));
        wPanel.setLayout(new java.awt.BorderLayout());
        basePanel.add(wPanel, java.awt.BorderLayout.WEST);

        getContentPane().add(basePanel, java.awt.BorderLayout.CENTER);

        pack();
    }// </editor-fold>//GEN-END:initComponents

  /**
   * @param args the command line arguments
   */
  public static void main(String args[]) {
      /* Set the Nimbus look and feel */
    //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
    /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
     * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
     */
    try {
      for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
        if ("Nimbus".equals(info.getName())) {
          javax.swing.UIManager.setLookAndFeel(info.getClassName());
          break;
        }
      }
    } 
    catch (ClassNotFoundException ex) {
      java.util.logging.Logger.getLogger(Lcd.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
    } 
    catch (InstantiationException ex) {
      java.util.logging.Logger.getLogger(Lcd.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
    } 
    catch (IllegalAccessException ex) {
      java.util.logging.Logger.getLogger(Lcd.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
    } 
    catch (javax.swing.UnsupportedLookAndFeelException ex) {
      java.util.logging.Logger.getLogger(Lcd.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
    }
    //</editor-fold>

    /* Create and display the form */
    java.awt.EventQueue.invokeLater(new Runnable() {
      public void run() {
        Lcd lcd1602 = new Lcd(0,   0, 1604);
        lcd1602.setVisible(true);
        lcd1602.pack();
        lcd1602.print(0, "Hello emuduino !");
        lcd1602.print(1, "0123456789ABCDEF");
        
        Lcd lcd2004 = new Lcd(0, 180, 2004);
        lcd2004.setVisible(true);
        lcd2004.pack();
        lcd2004.print(0, "Hello emuduino !");
        lcd2004.print(1, "0123456789ABCDEF0123");
        lcd2004.print(2, "LiquidCrystalDisplay");
        lcd2004.print(3, "  20char x 4lines"); 
      }
    }
    );
  }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JPanel basePanel;
    private javax.swing.JPanel ePanel;
    private javax.swing.JScrollPane lcdScrollPane;
    private javax.swing.JTextArea lcdTextArea;
    private javax.swing.JPanel nPanel;
    private javax.swing.JPanel outputPanel;
    private javax.swing.JPanel sPanel;
    private javax.swing.JPanel wPanel;
    // End of variables declaration//GEN-END:variables
}

